using Otter;

namespace GiraffeRoller.entities
{
    class DeadGiraffe : Entity
    {
        private Spritemap<string> _spriteMap;

        public DeadGiraffe(float x, float y, Color color, float scale)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.PLAYER, 100, 100);
            _spriteMap.Add("main", new int[] { 10 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            _spriteMap.Color = color;
            _spriteMap.Scale = scale;
            _spriteMap.FlippedY = true;
            Graphic = _spriteMap;
            Layer = 2;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
            RemoveSelf();
        }
    }
}